Chatterboxhd · Text to Speech
整合
模型 id
resemble-ai/chatterboxhd/text-to-speech
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/resemble-ai/chatterboxhd/text-to-speech?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/resemble-ai/chatterboxhd/text-to-speech?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/resemble-ai/chatterboxhd/text-to-speech", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh-TW/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "resemble-ai/chatterboxhd/text-to-speech",
"input": {}
}
透過 Doitong API 呼叫 Chatterboxhd · Text to Speech 模型(resemble-ai/chatterboxhd/text-to-speech)。代理程式文件:https://doitong.com/zh-TW/developers/models/resemble-ai/chatterboxhd/text-to-speech.md
POST https://api.doitong.ru/v1/run/resemble-ai/chatterboxhd/text-to-speech?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
如果回應狀態為 "queued" 或 "running",請輪詢 GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20,直到狀態變為 "succeeded";檔案位於 outputs[].url。使用相同主體傳送 POST https://api.doitong.ru/v1/quote/resemble-ai/chatterboxhd/text-to-speech,可在執行前取得確切價格。
像範例一樣的檔案: $0.011 11 API 點數 · ≈ ₽1.18 您的檔案會在執行前計量 在此頁面執行
您的新 API 金鑰。 僅會在此時顯示,且已填入下方的程式碼與 API 金鑰欄位。請妥善保密:切勿將其放入在瀏覽器中執行的程式碼。
建立請求
控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。
POST
/run/resemble-ai/chatterboxhd/text-to-speech?wait=20
報價 → $0.011
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/resemble-ai/chatterboxhd/text-to-speech?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/resemble-ai/chatterboxhd/text-to-speech?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/resemble-ai/chatterboxhd/text-to-speech", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "resemble-ai/chatterboxhd/text-to-speech",
"input": {},
"wait_seconds": 20
}
}
}
關於 Chatterboxhd · Text to Speech
使用預設 `voice`(Aurora、Blade、Britney、Carl、Cliff、Richard、Rico、Siobhan 或 Vicky)或從 `audio_url` 複製的聲音,根據 `text` 生成語音;複製聲音會覆寫預設聲音。`exaggeration`(0.25 至 2)與 `cfg` 控制情緒,`temperature` 與 `seed` 控制變化。`high_quality_audio` 會將輸出從 24 kHz 提升至 48 kHz。
參數
請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱
名稱類型
預設值允許值
說明
text選填
類型string
預設值My name is Maximus Decimus Meridius, commander of the Armies of the North, General of the Felix Legions and loyal servant to the true emperor, Marcus Aurelius. Father to a murdered son, husband to a murdered wife. And I will have my vengeance, in this life or the next.
要轉換為語音音訊的文字內容。
voice選填
類型enum
AuroraBladeBritneyCarlCliffRichardRicoSiobhanVicky
選擇 TTS 語音;或省略 voice 與音訊,讓系統隨機選擇語音。
audio_url選填
audio
類型url · audio
零樣本 TTS 的語音複製樣本 URL,優先於 voice 設定。只有在 audio_url 與 voice 都缺少時才會隨機選擇語音。
exaggeration選填
類型number
預設值0.5
0.25 – 2
情緒誇張程度,通常介於 0.25 到 2.0。
cfg選填
類型number
預設值0.5
0 – 1
透過無分類器引導(CFG)設定的條件強度。若要呈現富表現力或戲劇性的語氣,可將較低的 cfg 設定(例如約 0.3)與約 0.7 或更高的誇張程度搭配;當參考語音說話速度很快時,將 cfg 降至約 0.3 也可能改善節奏。常見設定範圍為 0.2–1.0。
high_quality_audio選填
類型boolean
預設值false
使用 False 選擇 24kHz 輸出,或使用 True 選擇升頻至 48kHz 的高品質音訊。啟用升頻會增加生成時間。
seed選填
類型integer
預設值0
≥ 0
可重複音訊生成的種子:0 會隨機選擇,固定種子則應在其他所有屬性不變時產生完全相同的音訊檔案。
temperature選填
類型number
預設值0.8
0.05 – 5
生成隨機性,通常介於 0.05 到 5。
必填
標準名稱,也可使用
檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案
輸出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "resemble-ai/chatterboxhd/text-to-speech",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 11,
"usd": "0.011",
"charged": 11,
"refunded": 0
},
"input": {},
"output": {},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
- audio
- any生成產生的音訊檔案。
其他 Chatterboxhd 變體
更多模型:文字轉語音
給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/resemble-ai/chatterboxhd/text-to-speech.md. 所有模型與指南: https://doitong.com/developers/llms.txt